Subject: mkdir alway creates a file instead a direktory if it is run trough a sub sub shell

From: horvan dillus <[email-masked]>
Date: Fri, 23 Aug 2013 19:22:37 +0200

three scripts here

first one getit.sh to get some  scripts with wget
second one install.sh to run the scripts and set up some things with bash
third one the script the crates a subdir vin var/www regardless what im
doing this creates a file with tha name of the directory.the mode option
and verbose donsn't make anything better.

The only situation this works correct is when I debug the script or the
line with -x

I haven't any Idea why this is how it is and I guess this needs further
testing.